From: Sven Eckelmann <sven@narfation.org>
Date: Thu, 26 Dec 2019 14:13:42 +0100
Subject: Switch from python to python3 binaries

Bug-Debian: https://bugs.debian.org/936493
Forwarded: to public mail without public archive
---
 api/python/Makefile | 2 +-
 configure           | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/api/python/Makefile b/api/python/Makefile
index 32f3538..71b6624 100644
--- a/api/python/Makefile
+++ b/api/python/Makefile
@@ -16,7 +16,7 @@ X_BUILD_IMPLICIT := 0
 include build/bottom.make
 X_BUILD_IMPLICIT := $(_X_BUILD_IMPLICIT)
 
-PYTHON_LIBDIR := $(shell python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib()')
+PYTHON_LIBDIR := $(shell python3 -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())')
 
 # install
 all:: $($(X_MODULE)_BINARY)
diff --git a/configure b/configure
index 5e7c3e3..3646b05 100755
--- a/configure
+++ b/configure
@@ -99,8 +99,8 @@ pkgcheck perl shell PERL 'perl -version 2>/dev/null | sed -n "s/This is perl.*v\
 pkgcheck php -config PHP atleast 5.2.0 &&
 	PHPINCS="`php-config --includes`"
 
-pkgcheck python shell PYTHON 'python -V 2>&1 | sed -n "s/Python //p"' atleast 2.5.0 &&
-	PYTHONINCS="`python-config --includes`"
+pkgcheck python shell PYTHON 'python3 -V 2>&1 | sed -n "s/Python //p"' atleast 2.5.0 &&
+	PYTHONINCS="`python3-config --includes`"
 
 pkgcheck ruby-1.9 pkg-config RUBY atleast 1.9
 
